Name:           not-yet-commons-ssl
Version:        0.3.15
Release:        %mkrel 1
Summary:        Library to make SSL and Java Easier

Group:          Development/Java
License:        ASL 2.0
URL:            http://juliusdavies.ca/commons-ssl
Source0:        http://juliusdavies.ca/commons-ssl/not-yet-commons-ssl-%{version}.zip
Source1:        %{name}-MANIFEST.MF
Source2:        %{name}-%{version}.pom
BuildArch:      noarch

BuildRequires:  ant
BuildRequires:  java-devel >= 1:1.6.0
BuildRequires:  log4j
BuildRequires:  jakarta-commons-httpclient
BuildRequires:  bouncycastle
BuildRequires:  ant-junit
BuildRequires:  mockito
BuildRequires:  zip
Requires:       log4j
Requires:       jakarta-commons-httpclient

%description
Commons-SSL lets you control the SSL options you need in an 
natural way for each SSLSocketFactory, and those options won't 
bleed into the rest of your system.

%package javadoc
Summary:        API documentation for %{name}
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;
rm -fr javadocs/
sed -i -e 's|optimize="false"|optimize="false" encoding="UTF-8"|g' build.xml

%build
export CLASSPATH=$(build-classpath log4j commons-httpclient bcprov mockito)
ant -Dbuild.sysclasspath=first jar test javadoc

# inject OSGi manifests
mkdir -p META-INF
cp -p %{SOURCE1} META-INF/MANIFEST.MF
touch META-INF/MANIFEST.MF
zip -u build/commons-ssl.jar META-INF/MANIFEST.MF

%install
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/commons-ssl.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp build/javadocs/*  \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -dm 755 %{buildroot}/%{_mavenpomdir}
install -pm 644 %{SOURCE2} \
    $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

%files
%{_javadir}/*
%doc LICENSE.txt NOTICE.txt README.txt
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP-%{name}.pom

%files javadoc
%{_javadocdir}/%{name}



%changelog
* Wed Dec 24 2014 luigiwalser <luigiwalser> 0.3.15-1.mga4
+ Revision: 805497
- 0.3.15 (fixes CVE-2014-3604)
- sync with fedora 20

* Fri Dec 27 2013 dmorgan <dmorgan> 0.3.11-4.mga4
+ Revision: 560903
- Use add_maven_depmap instead of add_to_maven_depmap to fix FTBFS

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 gil <gil> 0.3.11-1.mga2
+ Revision: 173982
- imported package not-yet-commons-ssl

